<?php

namespace Teknisa\CTB\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\Controller\Report;

class Ctb32700EmissaoDREAnualController extends Report{

    protected $qr2Strategy;
    protected $environment;

    public function __construct($reportService, $qr2Strategy) {
        $this->qr2Strategy = $qr2Strategy;
        parent::__construct($reportService);
    }
    
    protected $reportMapping = array (
        'CTB32700' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'NRORG'       => 'NRORG',
                        'NRCONTABGER' => 'NRCONTABGER'
                    ),
            ),
    );

}